List available fields for a given source + relations
GET
https://core.shopimind.com/v1/custom-stats/kpis/fields
Returns the resolved fields available for aggregation/dimension/time/filter selection.
Parameters
Header Parameters
spm-api-key*
[Authentication] Required API key.
Type
Requiredstring
Pattern
"^[a-zA-Z0-9-]{20,64}$"Query Parameters
sourceType*
Type
Requiredstring
Valid values
"custom""system"sourceSchema*
Type
Requiredstring
relationsChain
Comma-separated relation names (e.g. "contacts,sessions")
Type
string
Responses
application/json
JSON { "path": "string", "alias": "string", "column": "string", "label": "string", "type": "string", "source": "string", "relationPath": [ [ ] ] }
[
]
List available fields for a given source + relations Returns the resolved fields available for aggregation/dimension/time/filter selection. GET /v1/custom-stats/kpis/fields CustomKpiController_listFields Custom KPIs spm-api-key [Authentication] Required API key. sourceType sourceSchema relationsChain Comma-separated relation names (e.g. "contacts,sessions") Client error - Invalid request or authentication issues Server error - Internal processing failure